关于 N卡升级后不能进入 X 的

为当前最终发行版之前的所有版本提供支持
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

关于 N卡升级后不能进入 X 的

#1

帖子 huangjiahua » 2007-04-06 21:49

更新:
现在 7.04 的 nvidia-glx 变回 9631 了, 各位不用在操心 9755 的事情。
已经被不小心安装 9755 的, 可以直接升级到最新的内核和 nvidia-glx , 驱动就会是 9631 。

而需要 9755 的朋友可以安装 nvidia-glx-new

--------------------------------------------------

刚才 IRC 上有个朋友升级后进不了 X

代码: 全选

gao@gao-desktop:~$ lspci 
00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale) Chipset Host Bridge (rev 04)
00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset AGP Bridge (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 12)
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 12)
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 (rev 12)
00:1f.2 USB Controller: Intel Corporation 82801BA/BAM USB (Hub #1) (rev 12)
00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus (rev 12)
00:1f.4 USB Controller: Intel Corporation 82801BA/BAM USB (Hub #2) (rev 12)
00:1f.5 Multimedia audio controller: Intel Corporation 82801BA/BAM AC'97 Audio (rev 12)
01:00.0 VGA compatible controller: nVidia Corporation NV15DDR [GeForce2 Ti] (rev a4)
02:04.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)


代码: 全选

gao@gao-desktop:~$ tail /var/log/Xorg.0.log  
(II) NVIDIA dlloader X Driver  1.0-9755  Mon Feb 26 23:23:13 PST 2007
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 01:00:0
(WW) NVIDIA(0): The NVIDIA GeForce2 Ti GPU installed in this system is
(WW) NVIDIA(0):     supported through the NVIDIA 1.0-71xx Legacy drivers.
(WW) NVIDIA(0):     Please visit http://www.nvidia.com/object/unix.html for
(WW) NVIDIA(0):     more information.  The 1.0-9755 NVIDIA driver will ignore
(WW) NVIDIA(0):     this GPU.  Continuing probe...
(EE) No devices detected.


原先的 nvidia-glx 显卡支持他的 GeForce2 Ti 显卡,
但是新的 nvidia-glx 9755 不再支持这显卡了,

两个解决
1. 降级内核跟驱动, 比如用 linux 2.6.20-12 的 nvidia-glx 9631

2. 用 nvidia-glx-legacy 代替 nvidia-glx
用下边命令

代码: 全选

    sudo apt-get install nvidia-glx-legacy
    md5sum /etc/X11/xorg.conf | sudo tee /var/lib/x11/xorg.conf.md5sum
    sudo nvidia-glx-config enable
    sudo depmod -a ; sudo modprobe nvidia




没用过 nvidia-glx-legacy , 不知道是不是也支持 beryl ,
反正那朋友的 GeForce2 Ti 用先前的 nvidia-glx 跑 beryl 很流畅的。
上次由 huangjiahua 在 2007-04-11 20:10,总共编辑 3 次。
跃过无数的时间断层,只为了在
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2007-04-06 21:53

常识问题
● 鸣学
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#3

帖子 skyx » 2007-04-06 21:59

最早herd上的nvidia-glx也只有9631

wiki内容有点陈旧
no security measure is worth anything if an attacker has physical access to the machine
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#4

帖子 huangjiahua » 2007-04-06 22:10

ee 啊, 不是谁都会看 /var/log/Xorg.0.log


哎, 不对,gdm 启动不了都会问是否显示错误日志的,
大概不少人习惯 Win 下那样一路回车了 。


Windows 下那些也是, 垃圾信息也叫人按 几十个下一步, 让人以为能 Next 的都是不用看的。
偏偏还有人拿这 必须按几十个无聊的下一步 来说是 方便。
跃过无数的时间断层,只为了在
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 huangjiahua » 2007-04-06 22:33

多谢 skyx
跃过无数的时间断层,只为了在
头像
linfeng
帖子: 74
注册时间: 2005-11-17 0:09
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 linfeng » 2007-04-07 11:47

我的也是出现N卡,升级后启动不了
不过:我的重装了一次驱动就好了
我用的驱动是Nvidia的9755

显卡:N6200TC
这次我离开你,是风,是雨,是夜晚;你笑了笑,我摆一摆手,一条寂寞的路便展向两头了。
我的E盘:http://iamjoke.ys168.com/
blog:http://waitforlynn.spaces.live.com
NoteBook: Dell Latitude E6400
blblme
帖子: 102
注册时间: 2007-03-24 12:57
送出感谢: 0
接收感谢: 0

#7

帖子 blblme » 2007-04-07 14:41

进入不了x 重新编译9631的官方驱动 Ctrl+F1
关掉GNOME
$sudo /etc/init.d/gdm stop
到9631.run的官方驱动目录下
$sudo sh NVIDIA-Linux-x86-1.0-9631-pkg1.run
按提示即可 我就这样的
头像
matri
帖子: 1140
注册时间: 2006-10-27 11:14
来自: 悉尼
送出感谢: 0
接收感谢: 0

#8

帖子 matri » 2007-04-07 15:56

直接装官方9631就ok了。
头像
Beetle
帖子: 1637
注册时间: 2005-10-14 16:55
系统: OS X
来自: 江苏
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 Beetle » 2007-04-07 16:51

不止是N卡,GMA的也不知道怎么回事挂掉了~~~偶已经N长时间么升级了……
leo_tzao
帖子: 157
注册时间: 2005-11-15 11:28
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 leo_tzao » 2007-04-07 21:06

对于很多老卡而言,9631是最后一个版本,比较惨的是geforce2 go好像legacy也运行不起来,我现在是装官方9631了:)
phomeray
帖子: 524
注册时间: 2006-05-30 20:48
送出感谢: 0
接收感谢: 0

#11

帖子 phomeray » 2007-04-07 21:27

我升级了以后也是进不去X,先是sudo dpkg-reconfigure xserver-xorg配置完,再sudo sh NVI…………9631就可以了。
LuFF
帖子: 20
注册时间: 2007-02-16 9:11
送出感谢: 0
接收感谢: 0

#12

帖子 LuFF » 2007-04-08 8:55

啥时候9631改为legacy就好了
现在等情况是,更老和更新的n卡用户都有现成的驱动可用
只有我们这些中古级别的得去装官方驱动...
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#13

帖子 huangjiahua » 2007-04-08 14:37

我考虑在 ubuntu-cn 提供一个比较脏的 nvidia-glx-legacy 9631 ,
用 nvidia-glx-legacy 9631 覆盖 Ubuntu 的 nvidia-glx-legacy 7184 。


待会, 还有谁谁的 N 卡不能用 9631 而必须用 7184 的 ?
如果多的话, 在 ubuntu-cn 放 nvidia-glx-legacy 9631 就不太合适了。
跃过无数的时间断层,只为了在
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#14

帖子 huangjiahua » 2007-04-08 14:52

下边这些显卡是只能用 7184 驱动的,
请问还谁在使用么

RIVA TNT
RIVA TNT2/TNT2 Pro
RIVA TNT2 Ultra
Vanta/Vanta LT
RIVA TNT2 Model 64/Model 64 Pro
Aladdin TNT2
GeForce 256
GeForce DDR
Quadro
GeForce2 GTS/GeForce2 Pro
GeForce2 Ti
GeForce2 Ultra
Quadro2 Pro
跃过无数的时间断层,只为了在
LuFF
帖子: 20
注册时间: 2007-02-16 9:11
送出感谢: 0
接收感谢: 0

#15

帖子 LuFF » 2007-04-08 16:22

再分出一类就好了,比如nvidia-glx-historic??
呵呵,可能性-->0
8过现在这样总会有被架空的用户

期待704正式出来时能用上9631的legacy
回复

回到 “老旧版本支持”